grobX {grid} | R Documentation

## Create a Unit Describing a Grob Boundary Location

### Description

These functions create a unit object describing a location somewhere on the boundary of a grob. They are generic.

### Usage

    grobX(x, theta)
    grobY(x, theta)

### Arguments

`x` | A grob, or gList, or gTree, or gPath.
`theta` | An angle indicating where the location is on the grob boundary. Can be one of `"east"`, `"north"`, `"west"`, or `"south"`, which correspond to angles 0, 90, 180, and 270, respectively.

### Details

The angle is anti-clockwise with zero corresponding to a line with an origin centred between the extreme points of the shape, and pointing at 3 o'clock.

If the grob describes a single shape, the boundary value should correspond to the exact edge of the shape.

If the grob describes multiple shapes, in most cases, the boundary value will correspond to the edge of a bounding box around all of the shapes. The exception to this is a polygon grob describing multiple polygons; in that case, the edge corresponds to a convex hull around all points of all polygons described by the grob.

### Value

A unit object.

### Author(s)

Paul Murrell

### See Also

`unit` and `grobWidth`

[Package grid version 2.6.0 Index]